package com.czsj.dataCenter.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 任务编排信息对象 data_arrange_entity
 * 
 * @author czsj
 * @date 2024-12-08
 */
public class DataArrangeEntity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 编排描述 */
    @Excel(name = "编排描述")
    private String content;

    /** 流程内容 */
    @Excel(name = "流程内容")
    private String xmlData;

    /** 状态：1-开启，0-关闭 */
    @Excel(name = "状态：1-开启，0-关闭")
    private Integer pattern;

    /** 定时表达式 */
    @Excel(name = "定时表达式")
    private String cron;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Integer createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Integer updateUserId;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setXmlData(String xmlData) 
    {
        this.xmlData = xmlData;
    }

    public String getXmlData() 
    {
        return xmlData;
    }
    public void setPattern(Integer pattern) 
    {
        this.pattern = pattern;
    }

    public Integer getPattern() 
    {
        return pattern;
    }
    public void setCron(String cron) 
    {
        this.cron = cron;
    }

    public String getCron() 
    {
        return cron;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Integer createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Integer getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Integer updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Integer getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("content", getContent())
            .append("xmlData", getXmlData())
            .append("pattern", getPattern())
            .append("cron", getCron())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
