package com.czsj.dataCenter.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 编排日志信息对象 data_arrange_log_entity
 * 
 * @author czsj
 * @date 2024-12-08
 */
public class DataArrangeLogEntity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer id;

    /** 任务编排ID */
    @Excel(name = "任务编排ID")
    private String arrangeId;

    /** 流程ID */
    @Excel(name = "流程ID")
    private String processId;

    /** 任务ID */
    @Excel(name = "任务ID")
    private String jobId;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String jobName;

    /** 任务日志ID */
    @Excel(name = "任务日志ID")
    private String jobLogId;

    /** 错误信息 */
    @Excel(name = "错误信息")
    private String errormsg;

    /** 执行标识符 */
    @Excel(name = "执行标识符")
    private Integer identifier;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Integer createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Integer updateUserId;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setArrangeId(String arrangeId) 
    {
        this.arrangeId = arrangeId;
    }

    public String getArrangeId() 
    {
        return arrangeId;
    }
    public void setProcessId(String processId) 
    {
        this.processId = processId;
    }

    public String getProcessId() 
    {
        return processId;
    }
    public void setJobId(String jobId) 
    {
        this.jobId = jobId;
    }

    public String getJobId() 
    {
        return jobId;
    }
    public void setJobName(String jobName) 
    {
        this.jobName = jobName;
    }

    public String getJobName() 
    {
        return jobName;
    }
    public void setJobLogId(String jobLogId) 
    {
        this.jobLogId = jobLogId;
    }

    public String getJobLogId() 
    {
        return jobLogId;
    }
    public void setErrormsg(String errormsg) 
    {
        this.errormsg = errormsg;
    }

    public String getErrormsg() 
    {
        return errormsg;
    }
    public void setIdentifier(Integer identifier) 
    {
        this.identifier = identifier;
    }

    public Integer getIdentifier() 
    {
        return identifier;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Integer createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Integer getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Integer updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Integer getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("arrangeId", getArrangeId())
            .append("processId", getProcessId())
            .append("jobId", getJobId())
            .append("jobName", getJobName())
            .append("jobLogId", getJobLogId())
            .append("errormsg", getErrormsg())
            .append("identifier", getIdentifier())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
