package com.czsj.dataCenter.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 接口信息对象 data_interface_entity
 * 
 * @author czsj
 * @date 2024-12-08
 */
public class DataInterfaceEntity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer id;

    /** 接口名称 */
    @Excel(name = "接口名称")
    private String interfaceName;

    /** 接口地址 */
    @Excel(name = "接口地址")
    private String interfaceUrl;

    /** 请求方式 */
    @Excel(name = "请求方式")
    private String requestType;

    /** 编码类型 */
    @Excel(name = "编码类型")
    private String contentType;

    /** 接口类型：1-外置， 0-内置 */
    @Excel(name = "接口类型：1-外置， 0-内置")
    private String dataType;

    /** 接口数据源传输类型：1-输入，0-输出 */
    @Excel(name = "接口数据源传输类型：1-输入，0-输出")
    private Integer pattern;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Integer createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Integer updateUserId;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setInterfaceName(String interfaceName) 
    {
        this.interfaceName = interfaceName;
    }

    public String getInterfaceName() 
    {
        return interfaceName;
    }
    public void setInterfaceUrl(String interfaceUrl) 
    {
        this.interfaceUrl = interfaceUrl;
    }

    public String getInterfaceUrl() 
    {
        return interfaceUrl;
    }
    public void setRequestType(String requestType) 
    {
        this.requestType = requestType;
    }

    public String getRequestType() 
    {
        return requestType;
    }
    public void setContentType(String contentType) 
    {
        this.contentType = contentType;
    }

    public String getContentType() 
    {
        return contentType;
    }
    public void setDataType(String dataType) 
    {
        this.dataType = dataType;
    }

    public String getDataType() 
    {
        return dataType;
    }
    public void setPattern(Integer pattern) 
    {
        this.pattern = pattern;
    }

    public Integer getPattern() 
    {
        return pattern;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Integer createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Integer getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Integer updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Integer getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("interfaceName", getInterfaceName())
            .append("interfaceUrl", getInterfaceUrl())
            .append("requestType", getRequestType())
            .append("contentType", getContentType())
            .append("dataType", getDataType())
            .append("createTime", getCreateTime())
            .append("pattern", getPattern())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
