package com.czsj.dataCenter.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 配置执行类参数信息对象 data_mapping_args_entity
 * 
 * @author czsj
 * @date 2024-12-08
 */
public class DataMappingArgsEntity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer id;

    /** 映射表ID */
    @Excel(name = "映射表ID")
    private String mappingId;

    /** 上一级名称 */
    @Excel(name = "上一级名称")
    private String upName;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** 缺省值 */
    @Excel(name = "缺省值")
    private String defaultValue;

    /** 值类别：string/integer/boolean */
    @Excel(name = "值类别：string/integer/boolean")
    private String type;

    /** 参数类型 */
    @Excel(name = "参数类型")
    private Integer dataType;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Integer createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Integer updateUserId;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setMappingId(String mappingId) 
    {
        this.mappingId = mappingId;
    }

    public String getMappingId() 
    {
        return mappingId;
    }
    public void setUpName(String upName) 
    {
        this.upName = upName;
    }

    public String getUpName() 
    {
        return upName;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setDefaultValue(String defaultValue) 
    {
        this.defaultValue = defaultValue;
    }

    public String getDefaultValue() 
    {
        return defaultValue;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setDataType(Integer dataType) 
    {
        this.dataType = dataType;
    }

    public Integer getDataType() 
    {
        return dataType;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Integer createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Integer getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Integer updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Integer getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("mappingId", getMappingId())
            .append("upName", getUpName())
            .append("name", getName())
            .append("description", getDescription())
            .append("defaultValue", getDefaultValue())
            .append("type", getType())
            .append("dataType", getDataType())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
