package com.czsj.dataCenter.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 配置执行类映射信息对象 data_mapping_entity
 * 
 * @author czsj
 * @date 2024-12-08
 */
public class DataMappingEntity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer id;

    /** 执行类名称 */
    @Excel(name = "执行类名称")
    private String className;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** 功能类型 */
    @Excel(name = "功能类型")
    private String funcType;

    /** 类别名称 */
    @Excel(name = "类别名称")
    private String typeName;

    /** 唯一性：1-唯一 ,  0-不唯一 */
    @Excel(name = "唯一性：1-唯一 ,  0-不唯一")
    private Integer onlyOne;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Integer createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Integer updateUserId;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setClassName(String className) 
    {
        this.className = className;
    }

    public String getClassName() 
    {
        return className;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setFuncType(String funcType) 
    {
        this.funcType = funcType;
    }

    public String getFuncType() 
    {
        return funcType;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setOnlyOne(Integer onlyOne) 
    {
        this.onlyOne = onlyOne;
    }

    public Integer getOnlyOne() 
    {
        return onlyOne;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Integer createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Integer getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Integer updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Integer getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("className", getClassName())
            .append("description", getDescription())
            .append("funcType", getFuncType())
            .append("typeName", getTypeName())
            .append("onlyOne", getOnlyOne())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
