package com.czsj.dataCenter.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 节点流程信息对象 data_process_entity
 * 
 * @author czsj
 * @date 2024-12-08
 */
public class DataProcessEntity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer id;

    /** 任务编排ID */
    @Excel(name = "任务编排ID")
    private String arrangeId;

    /** 步骤序号 */
    @Excel(name = "步骤序号")
    private Integer step;

    /** 任务ID */
    @Excel(name = "任务ID")
    private String jobIds;

    /** 副任务ID */
    @Excel(name = "副任务ID")
    private String subJobs;

    /** 网关类型：0-无，1-与，2-或 */
    @Excel(name = "网关类型：0-无，1-与，2-或")
    private Integer gateWay;

    /** 有效标识，0有效，1无效 */
    private Boolean delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Integer createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Integer updateUserId;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setArrangeId(String arrangeId) 
    {
        this.arrangeId = arrangeId;
    }

    public String getArrangeId() 
    {
        return arrangeId;
    }
    public void setStep(Integer step) 
    {
        this.step = step;
    }

    public Integer getStep() 
    {
        return step;
    }
    public void setJobIds(String jobIds) 
    {
        this.jobIds = jobIds;
    }

    public String getJobIds() 
    {
        return jobIds;
    }
    public void setSubJobs(String subJobs) 
    {
        this.subJobs = subJobs;
    }

    public String getSubJobs() 
    {
        return subJobs;
    }
    public void setGateWay(Integer gateWay) 
    {
        this.gateWay = gateWay;
    }

    public Integer getGateWay() 
    {
        return gateWay;
    }
    public void setDelFlag(Boolean delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Boolean getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Integer createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Integer getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Integer updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Integer getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("arrangeId", getArrangeId())
            .append("step", getStep())
            .append("jobIds", getJobIds())
            .append("subJobs", getSubJobs())
            .append("gateWay", getGateWay())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
