package com.czsj.dataCenter.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 单任务配置信息对象 data_single_task_config_entity
 * 
 * @author czsj
 * @date 2024-12-08
 */
public class DataSingleTaskConfigEntity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer id;

    /** 数据源ID */
    @Excel(name = "数据源ID")
    private String sourceId;

    /** 数据源类型 */
    @Excel(name = "数据源类型")
    private String sourceType;

    /** 数据表ID */
    @Excel(name = "数据表ID")
    private String sourceTableId;

    /** 条件语句 */
    @Excel(name = "条件语句")
    private String whereSql;

    /** 操作类型：update/delete */
    @Excel(name = "操作类型：update/delete")
    private String writerType;

    /** 配置 */
    @Excel(name = "配置")
    private String configData;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Integer createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Integer updateUserId;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setSourceId(String sourceId) 
    {
        this.sourceId = sourceId;
    }

    public String getSourceId() 
    {
        return sourceId;
    }
    public void setSourceType(String sourceType) 
    {
        this.sourceType = sourceType;
    }

    public String getSourceType() 
    {
        return sourceType;
    }
    public void setSourceTableId(String sourceTableId) 
    {
        this.sourceTableId = sourceTableId;
    }

    public String getSourceTableId() 
    {
        return sourceTableId;
    }
    public void setWhereSql(String whereSql) 
    {
        this.whereSql = whereSql;
    }

    public String getWhereSql() 
    {
        return whereSql;
    }
    public void setWriterType(String writerType) 
    {
        this.writerType = writerType;
    }

    public String getWriterType() 
    {
        return writerType;
    }
    public void setConfigData(String configData) 
    {
        this.configData = configData;
    }

    public String getConfigData() 
    {
        return configData;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Integer createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Integer getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Integer updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Integer getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sourceId", getSourceId())
            .append("sourceType", getSourceType())
            .append("sourceTableId", getSourceTableId())
            .append("whereSql", getWhereSql())
            .append("writerType", getWriterType())
            .append("configData", getConfigData())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
