package com.czsj.dataCenter.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 数据源信息对象 data_source_entity
 * 
 * @author czsj
 * @date 2024-12-08
 */
public class DataSourceEntity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer id;

    /** 数据源名称 */
    @Excel(name = "数据源名称")
    private String baseName;

    /** 数据源类别 */
    @Excel(name = "数据源类别")
    private String baseType;

    /** 驱动 */
    @Excel(name = "驱动")
    private String driver;

    /** 连接URL */
    @Excel(name = "连接URL")
    private String url;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    /** 密码 */
    @Excel(name = "密码")
    private String passWord;

    /** 数据库初始化大小 */
    @Excel(name = "数据库初始化大小")
    private Integer initialSize;

    /** 参数maxActive */
    @Excel(name = "参数maxActive")
    private Integer maxActive;

    /** 参数minidle */
    @Excel(name = "参数minidle")
    private Integer minidle;

    /** 文件目录 */
    @Excel(name = "文件目录")
    private String directory;

    /** ftp运行模式，1-被动模式，0-主动模式 */
    @Excel(name = "ftp运行模式，1-被动模式，0-主动模式")
    private Integer runType;

    /** 模式 */
    @Excel(name = "模式")
    private String baseSchema;

    /** 查看元数据信息，1-可以，0-不可以 */
    @Excel(name = "查看元数据信息，1-可以，0-不可以")
    private Integer isLook;

    /** 类别，1-其他数据源，0-数据库 */
    @Excel(name = "类别，1-其他数据源，0-数据库")
    private Integer type;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Integer createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Integer updateUserId;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setBaseName(String baseName) 
    {
        this.baseName = baseName;
    }

    public String getBaseName() 
    {
        return baseName;
    }
    public void setBaseType(String baseType) 
    {
        this.baseType = baseType;
    }

    public String getBaseType() 
    {
        return baseType;
    }
    public void setDriver(String driver) 
    {
        this.driver = driver;
    }

    public String getDriver() 
    {
        return driver;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setPassWord(String passWord) 
    {
        this.passWord = passWord;
    }

    public String getPassWord() 
    {
        return passWord;
    }
    public void setInitialSize(Integer initialSize) 
    {
        this.initialSize = initialSize;
    }

    public Integer getInitialSize() 
    {
        return initialSize;
    }
    public void setMaxActive(Integer maxActive) 
    {
        this.maxActive = maxActive;
    }

    public Integer getMaxActive() 
    {
        return maxActive;
    }
    public void setMinidle(Integer minidle) 
    {
        this.minidle = minidle;
    }

    public Integer getMinidle() 
    {
        return minidle;
    }
    public void setDirectory(String directory) 
    {
        this.directory = directory;
    }

    public String getDirectory() 
    {
        return directory;
    }
    public void setRunType(Integer runType) 
    {
        this.runType = runType;
    }

    public Integer getRunType() 
    {
        return runType;
    }
    public void setBaseSchema(String baseSchema) 
    {
        this.baseSchema = baseSchema;
    }

    public String getBaseSchema() 
    {
        return baseSchema;
    }
    public void setIsLook(Integer isLook) 
    {
        this.isLook = isLook;
    }

    public Integer getIsLook() 
    {
        return isLook;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Integer createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Integer getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Integer updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Integer getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("baseName", getBaseName())
            .append("baseType", getBaseType())
            .append("driver", getDriver())
            .append("url", getUrl())
            .append("userName", getUserName())
            .append("passWord", getPassWord())
            .append("initialSize", getInitialSize())
            .append("maxActive", getMaxActive())
            .append("minidle", getMinidle())
            .append("directory", getDirectory())
            .append("runType", getRunType())
            .append("baseSchema", getBaseSchema())
            .append("remark", getRemark())
            .append("isLook", getIsLook())
            .append("type", getType())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
