package com.czsj.dataCenter.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 数据库信息对象 data_table
 * 
 * @author czsj
 * @date 2024-12-08
 */
public class DataTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer id;

    /** 表名称 */
    @Excel(name = "表名称")
    private String name;

    /** 表中文名称 */
    @Excel(name = "表中文名称")
    private String cname;

    /** 数据源ID */
    @Excel(name = "数据源ID")
    private String baseId;

    /** 表字段数量 */
    @Excel(name = "表字段数量")
    private Integer tableCount;

    /** 数据表状态，0:未生成物理表 1:生成物理表 */
    @Excel(name = "数据表状态，0:未生成物理表 1:生成物理表")
    private Integer status;

    /** 旧名称 */
    @Excel(name = "旧名称")
    private String oldName;

    /** 是否业务表，0:不是 1:是 */
    @Excel(name = "是否业务表，0:不是 1:是")
    private Integer serviceTable;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Integer createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Integer updateUserId;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setCname(String cname) 
    {
        this.cname = cname;
    }

    public String getCname() 
    {
        return cname;
    }
    public void setBaseId(String baseId) 
    {
        this.baseId = baseId;
    }

    public String getBaseId() 
    {
        return baseId;
    }
    public void setTableCount(Integer tableCount) 
    {
        this.tableCount = tableCount;
    }

    public Integer getTableCount() 
    {
        return tableCount;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setOldName(String oldName) 
    {
        this.oldName = oldName;
    }

    public String getOldName() 
    {
        return oldName;
    }
    public void setServiceTable(Integer serviceTable) 
    {
        this.serviceTable = serviceTable;
    }

    public Integer getServiceTable() 
    {
        return serviceTable;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Integer createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Integer getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Integer updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Integer getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("cname", getCname())
            .append("baseId", getBaseId())
            .append("tableCount", getTableCount())
            .append("status", getStatus())
            .append("oldName", getOldName())
            .append("serviceTable", getServiceTable())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
