package com.czsj.dataCenter.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 数据库字段信息对象 data_table_field
 * 
 * @author czsj
 * @date 2024-12-08
 */
public class DataTableField extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 表ID */
    @Excel(name = "表ID")
    private String tableId;

    /** 字段类型参数 */
    @Excel(name = "字段类型参数")
    private Integer typeNum;

    /** 字段类型 */
    @Excel(name = "字段类型")
    private String fieldType;

    /** 字段长度 */
    @Excel(name = "字段长度")
    private String fieldLength;

    /** 是否允许为空 , yes是,no否 */
    @Excel(name = "是否允许为空 , yes是,no否")
    private String fieldNull;

    /** 是否主键,n否,y是 */
    @Excel(name = "是否主键,n否,y是")
    private String fieldPk;

    /** 显示排序 */
    @Excel(name = "显示排序")
    private Integer displayOrder;

    /** 字段是否在数据库中生成 */
    @Excel(name = "字段是否在数据库中生成")
    private Integer isState;

    /** 修改版本 */
    @Excel(name = "修改版本")
    private Integer updateVersion;

    /** 旧名称 */
    @Excel(name = "旧名称")
    private String oldName;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Integer createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Integer updateUserId;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setTableId(String tableId) 
    {
        this.tableId = tableId;
    }

    public String getTableId() 
    {
        return tableId;
    }
    public void setTypeNum(Integer typeNum) 
    {
        this.typeNum = typeNum;
    }

    public Integer getTypeNum() 
    {
        return typeNum;
    }
    public void setFieldType(String fieldType) 
    {
        this.fieldType = fieldType;
    }

    public String getFieldType() 
    {
        return fieldType;
    }
    public void setFieldLength(String fieldLength) 
    {
        this.fieldLength = fieldLength;
    }

    public String getFieldLength() 
    {
        return fieldLength;
    }
    public void setFieldNull(String fieldNull) 
    {
        this.fieldNull = fieldNull;
    }

    public String getFieldNull() 
    {
        return fieldNull;
    }
    public void setFieldPk(String fieldPk) 
    {
        this.fieldPk = fieldPk;
    }

    public String getFieldPk() 
    {
        return fieldPk;
    }
    public void setDisplayOrder(Integer displayOrder) 
    {
        this.displayOrder = displayOrder;
    }

    public Integer getDisplayOrder() 
    {
        return displayOrder;
    }
    public void setIsState(Integer isState) 
    {
        this.isState = isState;
    }

    public Integer getIsState() 
    {
        return isState;
    }
    public void setUpdateVersion(Integer updateVersion) 
    {
        this.updateVersion = updateVersion;
    }

    public Integer getUpdateVersion() 
    {
        return updateVersion;
    }
    public void setOldName(String oldName) 
    {
        this.oldName = oldName;
    }

    public String getOldName() 
    {
        return oldName;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Integer createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Integer getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Integer updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Integer getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("tableId", getTableId())
            .append("typeNum", getTypeNum())
            .append("fieldType", getFieldType())
            .append("fieldLength", getFieldLength())
            .append("fieldNull", getFieldNull())
            .append("fieldPk", getFieldPk())
            .append("displayOrder", getDisplayOrder())
            .append("isState", getIsState())
            .append("updateVersion", getUpdateVersion())
            .append("oldName", getOldName())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
