package com.czsj.dataCenter.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 任务JOB块配置信息对象 data_task_config_entity
 * 
 * @author czsj
 * @date 2024-12-08
 */
public class DataTaskConfigEntity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer id;

    /** 任务ID */
    @Excel(name = "任务ID")
    private String taskId;

    /** 源头-执行类名称 */
    @Excel(name = "源头-执行类名称")
    private String sourceName;

    /** 源头-数据源ID */
    @Excel(name = "源头-数据源ID")
    private String sourceId;

    /** 源头-数据源类型 */
    @Excel(name = "源头-数据源类型")
    private String sourceType;

    /** 源头-数据表ID */
    @Excel(name = "源头-数据表ID")
    private String sourceTableId;

    /** 源头-字段列 */
    @Excel(name = "源头-字段列")
    private String sourceCloumn;

    /** 批次数 */
    @Excel(name = "批次数")
    private Integer fetchSize;

    /** 条件语句 */
    @Excel(name = "条件语句")
    private String whereSql;

    /** 切分字段 */
    @Excel(name = "切分字段")
    private String splitPk;

    /** 是否精准切分，相当于groupby */
    @Excel(name = "是否精准切分，相当于groupby")
    private Integer precise;

    /** 切分块数 */
    @Excel(name = "切分块数")
    private Integer tableNumber;

    /** 外部切分因素，当tablenumber没设值时生效 */
    @Excel(name = "外部切分因素，当tablenumber没设值时生效")
    private Integer splitFactor;

    /** 目标-执行类名称 */
    @Excel(name = "目标-执行类名称")
    private String targeName;

    /** 目标-数据源ID */
    @Excel(name = "目标-数据源ID")
    private String targetId;

    /** 目标-数据源类型 */
    @Excel(name = "目标-数据源类型")
    private String targetType;

    /** 目标-数据表ID */
    @Excel(name = "目标-数据表ID")
    private String targetTableId;

    /** 目标-输出类型：insert、update */
    @Excel(name = "目标-输出类型：insert、update")
    private String writerType;

    /** 输出类型为update时所选字段 */
    @Excel(name = "输出类型为update时所选字段")
    private String updateField;

    /** 目标-字段列 */
    @Excel(name = "目标-字段列")
    private String targetCloumn;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Integer createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Integer updateUserId;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setTaskId(String taskId) 
    {
        this.taskId = taskId;
    }

    public String getTaskId() 
    {
        return taskId;
    }
    public void setSourceName(String sourceName) 
    {
        this.sourceName = sourceName;
    }

    public String getSourceName() 
    {
        return sourceName;
    }
    public void setSourceId(String sourceId) 
    {
        this.sourceId = sourceId;
    }

    public String getSourceId() 
    {
        return sourceId;
    }
    public void setSourceType(String sourceType) 
    {
        this.sourceType = sourceType;
    }

    public String getSourceType() 
    {
        return sourceType;
    }
    public void setSourceTableId(String sourceTableId) 
    {
        this.sourceTableId = sourceTableId;
    }

    public String getSourceTableId() 
    {
        return sourceTableId;
    }
    public void setSourceCloumn(String sourceCloumn) 
    {
        this.sourceCloumn = sourceCloumn;
    }

    public String getSourceCloumn() 
    {
        return sourceCloumn;
    }
    public void setFetchSize(Integer fetchSize) 
    {
        this.fetchSize = fetchSize;
    }

    public Integer getFetchSize() 
    {
        return fetchSize;
    }
    public void setWhereSql(String whereSql) 
    {
        this.whereSql = whereSql;
    }

    public String getWhereSql() 
    {
        return whereSql;
    }
    public void setSplitPk(String splitPk) 
    {
        this.splitPk = splitPk;
    }

    public String getSplitPk() 
    {
        return splitPk;
    }
    public void setPrecise(Integer precise) 
    {
        this.precise = precise;
    }

    public Integer getPrecise() 
    {
        return precise;
    }
    public void setTableNumber(Integer tableNumber) 
    {
        this.tableNumber = tableNumber;
    }

    public Integer getTableNumber() 
    {
        return tableNumber;
    }
    public void setSplitFactor(Integer splitFactor) 
    {
        this.splitFactor = splitFactor;
    }

    public Integer getSplitFactor() 
    {
        return splitFactor;
    }
    public void setTargeName(String targeName) 
    {
        this.targeName = targeName;
    }

    public String getTargeName() 
    {
        return targeName;
    }
    public void setTargetId(String targetId) 
    {
        this.targetId = targetId;
    }

    public String getTargetId() 
    {
        return targetId;
    }
    public void setTargetType(String targetType) 
    {
        this.targetType = targetType;
    }

    public String getTargetType() 
    {
        return targetType;
    }
    public void setTargetTableId(String targetTableId) 
    {
        this.targetTableId = targetTableId;
    }

    public String getTargetTableId() 
    {
        return targetTableId;
    }
    public void setWriterType(String writerType) 
    {
        this.writerType = writerType;
    }

    public String getWriterType() 
    {
        return writerType;
    }
    public void setUpdateField(String updateField) 
    {
        this.updateField = updateField;
    }

    public String getUpdateField() 
    {
        return updateField;
    }
    public void setTargetCloumn(String targetCloumn) 
    {
        this.targetCloumn = targetCloumn;
    }

    public String getTargetCloumn() 
    {
        return targetCloumn;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Integer createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Integer getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Integer updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Integer getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("sourceName", getSourceName())
            .append("sourceId", getSourceId())
            .append("sourceType", getSourceType())
            .append("sourceTableId", getSourceTableId())
            .append("sourceCloumn", getSourceCloumn())
            .append("fetchSize", getFetchSize())
            .append("whereSql", getWhereSql())
            .append("splitPk", getSplitPk())
            .append("precise", getPrecise())
            .append("tableNumber", getTableNumber())
            .append("splitFactor", getSplitFactor())
            .append("targeName", getTargeName())
            .append("targetId", getTargetId())
            .append("targetType", getTargetType())
            .append("targetTableId", getTargetTableId())
            .append("writerType", getWriterType())
            .append("updateField", getUpdateField())
            .append("targetCloumn", getTargetCloumn())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
