package com.czsj.dataCenter.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 任务CORE块配置信息对象 data_task_core_entity
 * 
 * @author czsj
 * @date 2024-12-08
 */
public class DataTaskCoreEntity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer id;

    /** 任务ID */
    @Excel(name = "任务ID")
    private String taskId;

    /** 参数表ID */
    @Excel(name = "参数表ID")
    private String argsId;

    /** 参数名称 */
    @Excel(name = "参数名称")
    private String keyName;

    /** 参数值 */
    @Excel(name = "参数值")
    private String value;

    /** 种类，如：日志-printlog、input-输入、output-输出.. */
    @Excel(name = "种类，如：日志-printlog、input-输入、output-输出..")
    private String dataType;

    /** 类别：执行器-executor，交换机-exchange，输入/输出通道-channel，其它配置-plugs */
    @Excel(name = "类别：执行器-executor，交换机-exchange，输入/输出通道-channel，其它配置-plugs")
    private String typeName;

    /** 序号 */
    @Excel(name = "序号")
    private String sequence;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Integer createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Integer updateUserId;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setTaskId(String taskId) 
    {
        this.taskId = taskId;
    }

    public String getTaskId() 
    {
        return taskId;
    }
    public void setArgsId(String argsId) 
    {
        this.argsId = argsId;
    }

    public String getArgsId() 
    {
        return argsId;
    }
    public void setKeyName(String keyName) 
    {
        this.keyName = keyName;
    }

    public String getKeyName() 
    {
        return keyName;
    }
    public void setValue(String value) 
    {
        this.value = value;
    }

    public String getValue() 
    {
        return value;
    }
    public void setDataType(String dataType) 
    {
        this.dataType = dataType;
    }

    public String getDataType() 
    {
        return dataType;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setSequence(String sequence) 
    {
        this.sequence = sequence;
    }

    public String getSequence() 
    {
        return sequence;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Integer createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Integer getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Integer updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Integer getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("argsId", getArgsId())
            .append("keyName", getKeyName())
            .append("value", getValue())
            .append("dataType", getDataType())
            .append("typeName", getTypeName())
            .append("sequence", getSequence())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
