package com.czsj.dataCenter.mapper;

import java.util.List;
import com.czsj.dataCenter.domain.DataArrangeLogEntity;

/**
 * 编排日志信息Mapper接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface DataArrangeLogEntityMapper 
{
    /**
     * 查询编排日志信息
     * 
     * @param id 编排日志信息主键
     * @return 编排日志信息
     */
    public DataArrangeLogEntity selectDataArrangeLogEntityById(Integer id);

    /**
     * 查询编排日志信息列表
     * 
     * @param dataArrangeLogEntity 编排日志信息
     * @return 编排日志信息集合
     */
    public List<DataArrangeLogEntity> selectDataArrangeLogEntityList(DataArrangeLogEntity dataArrangeLogEntity);

    /**
     * 新增编排日志信息
     * 
     * @param dataArrangeLogEntity 编排日志信息
     * @return 结果
     */
    public int insertDataArrangeLogEntity(DataArrangeLogEntity dataArrangeLogEntity);

    /**
     * 修改编排日志信息
     * 
     * @param dataArrangeLogEntity 编排日志信息
     * @return 结果
     */
    public int updateDataArrangeLogEntity(DataArrangeLogEntity dataArrangeLogEntity);

    /**
     * 删除编排日志信息
     * 
     * @param id 编排日志信息主键
     * @return 结果
     */
    public int deleteDataArrangeLogEntityById(Integer id);

    /**
     * 批量删除编排日志信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataArrangeLogEntityByIds(Integer[] ids);
}
