package com.czsj.dataCenter.mapper;

import java.util.List;
import com.czsj.dataCenter.domain.DataBusinessEntity;

/**
 * 业务分类信息Mapper接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface DataBusinessEntityMapper 
{
    /**
     * 查询业务分类信息
     * 
     * @param id 业务分类信息主键
     * @return 业务分类信息
     */
    public DataBusinessEntity selectDataBusinessEntityById(Integer id);

    /**
     * 查询业务分类信息列表
     * 
     * @param dataBusinessEntity 业务分类信息
     * @return 业务分类信息集合
     */
    public List<DataBusinessEntity> selectDataBusinessEntityList(DataBusinessEntity dataBusinessEntity);

    /**
     * 新增业务分类信息
     * 
     * @param dataBusinessEntity 业务分类信息
     * @return 结果
     */
    public int insertDataBusinessEntity(DataBusinessEntity dataBusinessEntity);

    /**
     * 修改业务分类信息
     * 
     * @param dataBusinessEntity 业务分类信息
     * @return 结果
     */
    public int updateDataBusinessEntity(DataBusinessEntity dataBusinessEntity);

    /**
     * 删除业务分类信息
     * 
     * @param id 业务分类信息主键
     * @return 结果
     */
    public int deleteDataBusinessEntityById(Integer id);

    /**
     * 批量删除业务分类信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataBusinessEntityByIds(Integer[] ids);
}
