package com.czsj.dataCenter.mapper;

import java.util.List;
import com.czsj.dataCenter.domain.DataInterfaceEntity;

/**
 * 接口信息Mapper接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface DataInterfaceEntityMapper 
{
    /**
     * 查询接口信息
     * 
     * @param id 接口信息主键
     * @return 接口信息
     */
    public DataInterfaceEntity selectDataInterfaceEntityById(Integer id);

    /**
     * 查询接口信息列表
     * 
     * @param dataInterfaceEntity 接口信息
     * @return 接口信息集合
     */
    public List<DataInterfaceEntity> selectDataInterfaceEntityList(DataInterfaceEntity dataInterfaceEntity);

    /**
     * 新增接口信息
     * 
     * @param dataInterfaceEntity 接口信息
     * @return 结果
     */
    public int insertDataInterfaceEntity(DataInterfaceEntity dataInterfaceEntity);

    /**
     * 修改接口信息
     * 
     * @param dataInterfaceEntity 接口信息
     * @return 结果
     */
    public int updateDataInterfaceEntity(DataInterfaceEntity dataInterfaceEntity);

    /**
     * 删除接口信息
     * 
     * @param id 接口信息主键
     * @return 结果
     */
    public int deleteDataInterfaceEntityById(Integer id);

    /**
     * 批量删除接口信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataInterfaceEntityByIds(Integer[] ids);
}
