package com.czsj.dataCenter.mapper;

import java.util.List;
import com.czsj.dataCenter.domain.DataInterfaceParamsEntity;

/**
 * 接口参数信息Mapper接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface DataInterfaceParamsEntityMapper 
{
    /**
     * 查询接口参数信息
     * 
     * @param id 接口参数信息主键
     * @return 接口参数信息
     */
    public DataInterfaceParamsEntity selectDataInterfaceParamsEntityById(Integer id);

    /**
     * 查询接口参数信息列表
     * 
     * @param dataInterfaceParamsEntity 接口参数信息
     * @return 接口参数信息集合
     */
    public List<DataInterfaceParamsEntity> selectDataInterfaceParamsEntityList(DataInterfaceParamsEntity dataInterfaceParamsEntity);

    /**
     * 新增接口参数信息
     * 
     * @param dataInterfaceParamsEntity 接口参数信息
     * @return 结果
     */
    public int insertDataInterfaceParamsEntity(DataInterfaceParamsEntity dataInterfaceParamsEntity);

    /**
     * 修改接口参数信息
     * 
     * @param dataInterfaceParamsEntity 接口参数信息
     * @return 结果
     */
    public int updateDataInterfaceParamsEntity(DataInterfaceParamsEntity dataInterfaceParamsEntity);

    /**
     * 删除接口参数信息
     * 
     * @param id 接口参数信息主键
     * @return 结果
     */
    public int deleteDataInterfaceParamsEntityById(Integer id);

    /**
     * 批量删除接口参数信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataInterfaceParamsEntityByIds(Integer[] ids);
}
