package com.czsj.dataCenter.mapper;

import java.util.List;
import com.czsj.dataCenter.domain.DataTaskConfigEntity;

/**
 * 任务JOB块配置信息Mapper接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface DataTaskConfigEntityMapper 
{
    /**
     * 查询任务JOB块配置信息
     * 
     * @param id 任务JOB块配置信息主键
     * @return 任务JOB块配置信息
     */
    public DataTaskConfigEntity selectDataTaskConfigEntityById(Integer id);

    /**
     * 查询任务JOB块配置信息列表
     * 
     * @param dataTaskConfigEntity 任务JOB块配置信息
     * @return 任务JOB块配置信息集合
     */
    public List<DataTaskConfigEntity> selectDataTaskConfigEntityList(DataTaskConfigEntity dataTaskConfigEntity);

    /**
     * 新增任务JOB块配置信息
     * 
     * @param dataTaskConfigEntity 任务JOB块配置信息
     * @return 结果
     */
    public int insertDataTaskConfigEntity(DataTaskConfigEntity dataTaskConfigEntity);

    /**
     * 修改任务JOB块配置信息
     * 
     * @param dataTaskConfigEntity 任务JOB块配置信息
     * @return 结果
     */
    public int updateDataTaskConfigEntity(DataTaskConfigEntity dataTaskConfigEntity);

    /**
     * 删除任务JOB块配置信息
     * 
     * @param id 任务JOB块配置信息主键
     * @return 结果
     */
    public int deleteDataTaskConfigEntityById(Integer id);

    /**
     * 批量删除任务JOB块配置信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataTaskConfigEntityByIds(Integer[] ids);
}
