package com.czsj.dataCenter.mapper;

import java.util.List;
import com.czsj.dataCenter.domain.DataTaskCoreEntity;

/**
 * 任务CORE块配置信息Mapper接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface DataTaskCoreEntityMapper 
{
    /**
     * 查询任务CORE块配置信息
     * 
     * @param id 任务CORE块配置信息主键
     * @return 任务CORE块配置信息
     */
    public DataTaskCoreEntity selectDataTaskCoreEntityById(Integer id);

    /**
     * 查询任务CORE块配置信息列表
     * 
     * @param dataTaskCoreEntity 任务CORE块配置信息
     * @return 任务CORE块配置信息集合
     */
    public List<DataTaskCoreEntity> selectDataTaskCoreEntityList(DataTaskCoreEntity dataTaskCoreEntity);

    /**
     * 新增任务CORE块配置信息
     * 
     * @param dataTaskCoreEntity 任务CORE块配置信息
     * @return 结果
     */
    public int insertDataTaskCoreEntity(DataTaskCoreEntity dataTaskCoreEntity);

    /**
     * 修改任务CORE块配置信息
     * 
     * @param dataTaskCoreEntity 任务CORE块配置信息
     * @return 结果
     */
    public int updateDataTaskCoreEntity(DataTaskCoreEntity dataTaskCoreEntity);

    /**
     * 删除任务CORE块配置信息
     * 
     * @param id 任务CORE块配置信息主键
     * @return 结果
     */
    public int deleteDataTaskCoreEntityById(Integer id);

    /**
     * 批量删除任务CORE块配置信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataTaskCoreEntityByIds(Integer[] ids);
}
