package com.czsj.dataCenter.mapper;

import java.util.List;
import com.czsj.dataCenter.domain.DataTaskMakeUpEntity;

/**
 * 任务配置组成数据Mapper接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface DataTaskMakeUpEntityMapper 
{
    /**
     * 查询任务配置组成数据
     * 
     * @param id 任务配置组成数据主键
     * @return 任务配置组成数据
     */
    public DataTaskMakeUpEntity selectDataTaskMakeUpEntityById(Integer id);

    /**
     * 查询任务配置组成数据列表
     * 
     * @param dataTaskMakeUpEntity 任务配置组成数据
     * @return 任务配置组成数据集合
     */
    public List<DataTaskMakeUpEntity> selectDataTaskMakeUpEntityList(DataTaskMakeUpEntity dataTaskMakeUpEntity);

    /**
     * 新增任务配置组成数据
     * 
     * @param dataTaskMakeUpEntity 任务配置组成数据
     * @return 结果
     */
    public int insertDataTaskMakeUpEntity(DataTaskMakeUpEntity dataTaskMakeUpEntity);

    /**
     * 修改任务配置组成数据
     * 
     * @param dataTaskMakeUpEntity 任务配置组成数据
     * @return 结果
     */
    public int updateDataTaskMakeUpEntity(DataTaskMakeUpEntity dataTaskMakeUpEntity);

    /**
     * 删除任务配置组成数据
     * 
     * @param id 任务配置组成数据主键
     * @return 结果
     */
    public int deleteDataTaskMakeUpEntityById(Integer id);

    /**
     * 批量删除任务配置组成数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataTaskMakeUpEntityByIds(Integer[] ids);
}
