package com.czsj.dataCenter.service;

import java.util.List;
import com.czsj.dataCenter.domain.DataArrangeEntity;

/**
 * 任务编排信息Service接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface IDataArrangeEntityService 
{
    /**
     * 查询任务编排信息
     * 
     * @param id 任务编排信息主键
     * @return 任务编排信息
     */
    public DataArrangeEntity selectDataArrangeEntityById(Integer id);

    /**
     * 查询任务编排信息列表
     * 
     * @param dataArrangeEntity 任务编排信息
     * @return 任务编排信息集合
     */
    public List<DataArrangeEntity> selectDataArrangeEntityList(DataArrangeEntity dataArrangeEntity);

    /**
     * 新增任务编排信息
     * 
     * @param dataArrangeEntity 任务编排信息
     * @return 结果
     */
    public int insertDataArrangeEntity(DataArrangeEntity dataArrangeEntity);

    /**
     * 修改任务编排信息
     * 
     * @param dataArrangeEntity 任务编排信息
     * @return 结果
     */
    public int updateDataArrangeEntity(DataArrangeEntity dataArrangeEntity);

    /**
     * 批量删除任务编排信息
     * 
     * @param ids 需要删除的任务编排信息主键集合
     * @return 结果
     */
    public int deleteDataArrangeEntityByIds(Integer[] ids);

    /**
     * 删除任务编排信息信息
     * 
     * @param id 任务编排信息主键
     * @return 结果
     */
    public int deleteDataArrangeEntityById(Integer id);
}
