package com.czsj.dataCenter.service;

import java.util.List;
import com.czsj.dataCenter.domain.DataMappingArgsEntity;

/**
 * 配置执行类参数信息Service接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface IDataMappingArgsEntityService 
{
    /**
     * 查询配置执行类参数信息
     * 
     * @param id 配置执行类参数信息主键
     * @return 配置执行类参数信息
     */
    public DataMappingArgsEntity selectDataMappingArgsEntityById(Integer id);

    /**
     * 查询配置执行类参数信息列表
     * 
     * @param dataMappingArgsEntity 配置执行类参数信息
     * @return 配置执行类参数信息集合
     */
    public List<DataMappingArgsEntity> selectDataMappingArgsEntityList(DataMappingArgsEntity dataMappingArgsEntity);

    /**
     * 新增配置执行类参数信息
     * 
     * @param dataMappingArgsEntity 配置执行类参数信息
     * @return 结果
     */
    public int insertDataMappingArgsEntity(DataMappingArgsEntity dataMappingArgsEntity);

    /**
     * 修改配置执行类参数信息
     * 
     * @param dataMappingArgsEntity 配置执行类参数信息
     * @return 结果
     */
    public int updateDataMappingArgsEntity(DataMappingArgsEntity dataMappingArgsEntity);

    /**
     * 批量删除配置执行类参数信息
     * 
     * @param ids 需要删除的配置执行类参数信息主键集合
     * @return 结果
     */
    public int deleteDataMappingArgsEntityByIds(Integer[] ids);

    /**
     * 删除配置执行类参数信息信息
     * 
     * @param id 配置执行类参数信息主键
     * @return 结果
     */
    public int deleteDataMappingArgsEntityById(Integer id);
}
