package com.czsj.dataCenter.service;

import java.util.List;
import com.czsj.dataCenter.domain.DataMappingEntity;

/**
 * 配置执行类映射信息Service接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface IDataMappingEntityService 
{
    /**
     * 查询配置执行类映射信息
     * 
     * @param id 配置执行类映射信息主键
     * @return 配置执行类映射信息
     */
    public DataMappingEntity selectDataMappingEntityById(Integer id);

    /**
     * 查询配置执行类映射信息列表
     * 
     * @param dataMappingEntity 配置执行类映射信息
     * @return 配置执行类映射信息集合
     */
    public List<DataMappingEntity> selectDataMappingEntityList(DataMappingEntity dataMappingEntity);

    /**
     * 新增配置执行类映射信息
     * 
     * @param dataMappingEntity 配置执行类映射信息
     * @return 结果
     */
    public int insertDataMappingEntity(DataMappingEntity dataMappingEntity);

    /**
     * 修改配置执行类映射信息
     * 
     * @param dataMappingEntity 配置执行类映射信息
     * @return 结果
     */
    public int updateDataMappingEntity(DataMappingEntity dataMappingEntity);

    /**
     * 批量删除配置执行类映射信息
     * 
     * @param ids 需要删除的配置执行类映射信息主键集合
     * @return 结果
     */
    public int deleteDataMappingEntityByIds(Integer[] ids);

    /**
     * 删除配置执行类映射信息信息
     * 
     * @param id 配置执行类映射信息主键
     * @return 结果
     */
    public int deleteDataMappingEntityById(Integer id);
}
