package com.czsj.dataCenter.service;

import java.util.List;
import com.czsj.dataCenter.domain.DataProcessEntity;

/**
 * 节点流程信息Service接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface IDataProcessEntityService 
{
    /**
     * 查询节点流程信息
     * 
     * @param id 节点流程信息主键
     * @return 节点流程信息
     */
    public DataProcessEntity selectDataProcessEntityById(Integer id);

    /**
     * 查询节点流程信息列表
     * 
     * @param dataProcessEntity 节点流程信息
     * @return 节点流程信息集合
     */
    public List<DataProcessEntity> selectDataProcessEntityList(DataProcessEntity dataProcessEntity);

    /**
     * 新增节点流程信息
     * 
     * @param dataProcessEntity 节点流程信息
     * @return 结果
     */
    public int insertDataProcessEntity(DataProcessEntity dataProcessEntity);

    /**
     * 修改节点流程信息
     * 
     * @param dataProcessEntity 节点流程信息
     * @return 结果
     */
    public int updateDataProcessEntity(DataProcessEntity dataProcessEntity);

    /**
     * 批量删除节点流程信息
     * 
     * @param ids 需要删除的节点流程信息主键集合
     * @return 结果
     */
    public int deleteDataProcessEntityByIds(Integer[] ids);

    /**
     * 删除节点流程信息信息
     * 
     * @param id 节点流程信息主键
     * @return 结果
     */
    public int deleteDataProcessEntityById(Integer id);
}
