package com.czsj.dataCenter.service;

import java.util.List;
import com.czsj.dataCenter.domain.DataSingleTaskConfigEntity;

/**
 * 单任务配置信息Service接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface IDataSingleTaskConfigEntityService 
{
    /**
     * 查询单任务配置信息
     * 
     * @param id 单任务配置信息主键
     * @return 单任务配置信息
     */
    public DataSingleTaskConfigEntity selectDataSingleTaskConfigEntityById(Integer id);

    /**
     * 查询单任务配置信息列表
     * 
     * @param dataSingleTaskConfigEntity 单任务配置信息
     * @return 单任务配置信息集合
     */
    public List<DataSingleTaskConfigEntity> selectDataSingleTaskConfigEntityList(DataSingleTaskConfigEntity dataSingleTaskConfigEntity);

    /**
     * 新增单任务配置信息
     * 
     * @param dataSingleTaskConfigEntity 单任务配置信息
     * @return 结果
     */
    public int insertDataSingleTaskConfigEntity(DataSingleTaskConfigEntity dataSingleTaskConfigEntity);

    /**
     * 修改单任务配置信息
     * 
     * @param dataSingleTaskConfigEntity 单任务配置信息
     * @return 结果
     */
    public int updateDataSingleTaskConfigEntity(DataSingleTaskConfigEntity dataSingleTaskConfigEntity);

    /**
     * 批量删除单任务配置信息
     * 
     * @param ids 需要删除的单任务配置信息主键集合
     * @return 结果
     */
    public int deleteDataSingleTaskConfigEntityByIds(Integer[] ids);

    /**
     * 删除单任务配置信息信息
     * 
     * @param id 单任务配置信息主键
     * @return 结果
     */
    public int deleteDataSingleTaskConfigEntityById(Integer id);
}
