package com.czsj.dataCenter.service;

import java.util.List;
import com.czsj.dataCenter.domain.DataSourceEntity;

/**
 * 数据源信息Service接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface IDataSourceEntityService 
{
    /**
     * 查询数据源信息
     * 
     * @param id 数据源信息主键
     * @return 数据源信息
     */
    public DataSourceEntity selectDataSourceEntityById(Integer id);

    /**
     * 查询数据源信息列表
     * 
     * @param dataSourceEntity 数据源信息
     * @return 数据源信息集合
     */
    public List<DataSourceEntity> selectDataSourceEntityList(DataSourceEntity dataSourceEntity);

    /**
     * 新增数据源信息
     * 
     * @param dataSourceEntity 数据源信息
     * @return 结果
     */
    public int insertDataSourceEntity(DataSourceEntity dataSourceEntity);

    /**
     * 修改数据源信息
     * 
     * @param dataSourceEntity 数据源信息
     * @return 结果
     */
    public int updateDataSourceEntity(DataSourceEntity dataSourceEntity);

    /**
     * 批量删除数据源信息
     * 
     * @param ids 需要删除的数据源信息主键集合
     * @return 结果
     */
    public int deleteDataSourceEntityByIds(Integer[] ids);

    /**
     * 删除数据源信息信息
     * 
     * @param id 数据源信息主键
     * @return 结果
     */
    public int deleteDataSourceEntityById(Integer id);
}
