package com.czsj.dataCenter.service;

import java.util.List;
import com.czsj.dataCenter.domain.DataSourceTypeEntity;

/**
 * 数据源分类信息Service接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface IDataSourceTypeEntityService 
{
    /**
     * 查询数据源分类信息
     * 
     * @param id 数据源分类信息主键
     * @return 数据源分类信息
     */
    public DataSourceTypeEntity selectDataSourceTypeEntityById(Integer id);

    /**
     * 查询数据源分类信息列表
     * 
     * @param dataSourceTypeEntity 数据源分类信息
     * @return 数据源分类信息集合
     */
    public List<DataSourceTypeEntity> selectDataSourceTypeEntityList(DataSourceTypeEntity dataSourceTypeEntity);

    /**
     * 新增数据源分类信息
     * 
     * @param dataSourceTypeEntity 数据源分类信息
     * @return 结果
     */
    public int insertDataSourceTypeEntity(DataSourceTypeEntity dataSourceTypeEntity);

    /**
     * 修改数据源分类信息
     * 
     * @param dataSourceTypeEntity 数据源分类信息
     * @return 结果
     */
    public int updateDataSourceTypeEntity(DataSourceTypeEntity dataSourceTypeEntity);

    /**
     * 批量删除数据源分类信息
     * 
     * @param ids 需要删除的数据源分类信息主键集合
     * @return 结果
     */
    public int deleteDataSourceTypeEntityByIds(Integer[] ids);

    /**
     * 删除数据源分类信息信息
     * 
     * @param id 数据源分类信息主键
     * @return 结果
     */
    public int deleteDataSourceTypeEntityById(Integer id);
}
