package com.czsj.dataCenter.service;

import java.util.List;
import com.czsj.dataCenter.domain.DataTableField;

/**
 * 数据库字段信息Service接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface IDataTableFieldService 
{
    /**
     * 查询数据库字段信息
     * 
     * @param id 数据库字段信息主键
     * @return 数据库字段信息
     */
    public DataTableField selectDataTableFieldById(Integer id);

    /**
     * 查询数据库字段信息列表
     * 
     * @param dataTableField 数据库字段信息
     * @return 数据库字段信息集合
     */
    public List<DataTableField> selectDataTableFieldList(DataTableField dataTableField);

    /**
     * 新增数据库字段信息
     * 
     * @param dataTableField 数据库字段信息
     * @return 结果
     */
    public int insertDataTableField(DataTableField dataTableField);

    /**
     * 修改数据库字段信息
     * 
     * @param dataTableField 数据库字段信息
     * @return 结果
     */
    public int updateDataTableField(DataTableField dataTableField);

    /**
     * 批量删除数据库字段信息
     * 
     * @param ids 需要删除的数据库字段信息主键集合
     * @return 结果
     */
    public int deleteDataTableFieldByIds(Integer[] ids);

    /**
     * 删除数据库字段信息信息
     * 
     * @param id 数据库字段信息主键
     * @return 结果
     */
    public int deleteDataTableFieldById(Integer id);
}
