package com.czsj.dataCenter.service;

import java.util.List;
import com.czsj.dataCenter.domain.DataTable;

/**
 * 数据库信息Service接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface IDataTableService 
{
    /**
     * 查询数据库信息
     * 
     * @param id 数据库信息主键
     * @return 数据库信息
     */
    public DataTable selectDataTableById(Integer id);

    /**
     * 查询数据库信息列表
     * 
     * @param dataTable 数据库信息
     * @return 数据库信息集合
     */
    public List<DataTable> selectDataTableList(DataTable dataTable);

    /**
     * 新增数据库信息
     * 
     * @param dataTable 数据库信息
     * @return 结果
     */
    public int insertDataTable(DataTable dataTable);

    /**
     * 修改数据库信息
     * 
     * @param dataTable 数据库信息
     * @return 结果
     */
    public int updateDataTable(DataTable dataTable);

    /**
     * 批量删除数据库信息
     * 
     * @param ids 需要删除的数据库信息主键集合
     * @return 结果
     */
    public int deleteDataTableByIds(Integer[] ids);

    /**
     * 删除数据库信息信息
     * 
     * @param id 数据库信息主键
     * @return 结果
     */
    public int deleteDataTableById(Integer id);
}
