package com.czsj.dataCenter.service;

import java.util.List;
import com.czsj.dataCenter.domain.DataTaskEntity;

/**
 * 任务主体信息Service接口
 * 
 * @author czsj
 * @date 2024-12-08
 */
public interface IDataTaskEntityService 
{
    /**
     * 查询任务主体信息
     * 
     * @param id 任务主体信息主键
     * @return 任务主体信息
     */
    public DataTaskEntity selectDataTaskEntityById(Integer id);

    /**
     * 查询任务主体信息列表
     * 
     * @param dataTaskEntity 任务主体信息
     * @return 任务主体信息集合
     */
    public List<DataTaskEntity> selectDataTaskEntityList(DataTaskEntity dataTaskEntity);

    /**
     * 新增任务主体信息
     * 
     * @param dataTaskEntity 任务主体信息
     * @return 结果
     */
    public int insertDataTaskEntity(DataTaskEntity dataTaskEntity);

    /**
     * 修改任务主体信息
     * 
     * @param dataTaskEntity 任务主体信息
     * @return 结果
     */
    public int updateDataTaskEntity(DataTaskEntity dataTaskEntity);

    /**
     * 批量删除任务主体信息
     * 
     * @param ids 需要删除的任务主体信息主键集合
     * @return 结果
     */
    public int deleteDataTaskEntityByIds(Integer[] ids);

    /**
     * 删除任务主体信息信息
     * 
     * @param id 任务主体信息主键
     * @return 结果
     */
    public int deleteDataTaskEntityById(Integer id);
}
