package com.czsj.dataCenter.service.impl;

import java.util.List;
import com.czsj.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.czsj.dataCenter.mapper.DataArrangeEntityMapper;
import com.czsj.dataCenter.domain.DataArrangeEntity;
import com.czsj.dataCenter.service.IDataArrangeEntityService;

/**
 * 任务编排信息Service业务层处理
 * 
 * @author czsj
 * @date 2024-12-08
 */
@Service
public class DataArrangeEntityServiceImpl implements IDataArrangeEntityService 
{
    @Autowired
    private DataArrangeEntityMapper dataArrangeEntityMapper;

    /**
     * 查询任务编排信息
     * 
     * @param id 任务编排信息主键
     * @return 任务编排信息
     */
    @Override
    public DataArrangeEntity selectDataArrangeEntityById(Integer id)
    {
        return dataArrangeEntityMapper.selectDataArrangeEntityById(id);
    }

    /**
     * 查询任务编排信息列表
     * 
     * @param dataArrangeEntity 任务编排信息
     * @return 任务编排信息
     */
    @Override
    public List<DataArrangeEntity> selectDataArrangeEntityList(DataArrangeEntity dataArrangeEntity)
    {
        return dataArrangeEntityMapper.selectDataArrangeEntityList(dataArrangeEntity);
    }

    /**
     * 新增任务编排信息
     * 
     * @param dataArrangeEntity 任务编排信息
     * @return 结果
     */
    @Override
    public int insertDataArrangeEntity(DataArrangeEntity dataArrangeEntity)
    {
        dataArrangeEntity.setCreateTime(DateUtils.getNowDate());
        return dataArrangeEntityMapper.insertDataArrangeEntity(dataArrangeEntity);
    }

    /**
     * 修改任务编排信息
     * 
     * @param dataArrangeEntity 任务编排信息
     * @return 结果
     */
    @Override
    public int updateDataArrangeEntity(DataArrangeEntity dataArrangeEntity)
    {
        dataArrangeEntity.setUpdateTime(DateUtils.getNowDate());
        return dataArrangeEntityMapper.updateDataArrangeEntity(dataArrangeEntity);
    }

    /**
     * 批量删除任务编排信息
     * 
     * @param ids 需要删除的任务编排信息主键
     * @return 结果
     */
    @Override
    public int deleteDataArrangeEntityByIds(Integer[] ids)
    {
        return dataArrangeEntityMapper.deleteDataArrangeEntityByIds(ids);
    }

    /**
     * 删除任务编排信息信息
     * 
     * @param id 任务编排信息主键
     * @return 结果
     */
    @Override
    public int deleteDataArrangeEntityById(Integer id)
    {
        return dataArrangeEntityMapper.deleteDataArrangeEntityById(id);
    }
}
