package com.czsj.dataCenter.service.impl;

import java.util.List;
import com.czsj.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.czsj.dataCenter.mapper.DataInterfaceParamsEntityMapper;
import com.czsj.dataCenter.domain.DataInterfaceParamsEntity;
import com.czsj.dataCenter.service.IDataInterfaceParamsEntityService;

/**
 * 接口参数信息Service业务层处理
 * 
 * @author czsj
 * @date 2024-12-08
 */
@Service
public class DataInterfaceParamsEntityServiceImpl implements IDataInterfaceParamsEntityService 
{
    @Autowired
    private DataInterfaceParamsEntityMapper dataInterfaceParamsEntityMapper;

    /**
     * 查询接口参数信息
     * 
     * @param id 接口参数信息主键
     * @return 接口参数信息
     */
    @Override
    public DataInterfaceParamsEntity selectDataInterfaceParamsEntityById(Integer id)
    {
        return dataInterfaceParamsEntityMapper.selectDataInterfaceParamsEntityById(id);
    }

    /**
     * 查询接口参数信息列表
     * 
     * @param dataInterfaceParamsEntity 接口参数信息
     * @return 接口参数信息
     */
    @Override
    public List<DataInterfaceParamsEntity> selectDataInterfaceParamsEntityList(DataInterfaceParamsEntity dataInterfaceParamsEntity)
    {
        return dataInterfaceParamsEntityMapper.selectDataInterfaceParamsEntityList(dataInterfaceParamsEntity);
    }

    /**
     * 新增接口参数信息
     * 
     * @param dataInterfaceParamsEntity 接口参数信息
     * @return 结果
     */
    @Override
    public int insertDataInterfaceParamsEntity(DataInterfaceParamsEntity dataInterfaceParamsEntity)
    {
        dataInterfaceParamsEntity.setCreateTime(DateUtils.getNowDate());
        return dataInterfaceParamsEntityMapper.insertDataInterfaceParamsEntity(dataInterfaceParamsEntity);
    }

    /**
     * 修改接口参数信息
     * 
     * @param dataInterfaceParamsEntity 接口参数信息
     * @return 结果
     */
    @Override
    public int updateDataInterfaceParamsEntity(DataInterfaceParamsEntity dataInterfaceParamsEntity)
    {
        dataInterfaceParamsEntity.setUpdateTime(DateUtils.getNowDate());
        return dataInterfaceParamsEntityMapper.updateDataInterfaceParamsEntity(dataInterfaceParamsEntity);
    }

    /**
     * 批量删除接口参数信息
     * 
     * @param ids 需要删除的接口参数信息主键
     * @return 结果
     */
    @Override
    public int deleteDataInterfaceParamsEntityByIds(Integer[] ids)
    {
        return dataInterfaceParamsEntityMapper.deleteDataInterfaceParamsEntityByIds(ids);
    }

    /**
     * 删除接口参数信息信息
     * 
     * @param id 接口参数信息主键
     * @return 结果
     */
    @Override
    public int deleteDataInterfaceParamsEntityById(Integer id)
    {
        return dataInterfaceParamsEntityMapper.deleteDataInterfaceParamsEntityById(id);
    }
}
