package com.czsj.dataCenter.service.impl;

import java.util.List;
import com.czsj.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.czsj.dataCenter.mapper.DataMappingArgsEntityMapper;
import com.czsj.dataCenter.domain.DataMappingArgsEntity;
import com.czsj.dataCenter.service.IDataMappingArgsEntityService;

/**
 * 配置执行类参数信息Service业务层处理
 * 
 * @author czsj
 * @date 2024-12-08
 */
@Service
public class DataMappingArgsEntityServiceImpl implements IDataMappingArgsEntityService 
{
    @Autowired
    private DataMappingArgsEntityMapper dataMappingArgsEntityMapper;

    /**
     * 查询配置执行类参数信息
     * 
     * @param id 配置执行类参数信息主键
     * @return 配置执行类参数信息
     */
    @Override
    public DataMappingArgsEntity selectDataMappingArgsEntityById(Integer id)
    {
        return dataMappingArgsEntityMapper.selectDataMappingArgsEntityById(id);
    }

    /**
     * 查询配置执行类参数信息列表
     * 
     * @param dataMappingArgsEntity 配置执行类参数信息
     * @return 配置执行类参数信息
     */
    @Override
    public List<DataMappingArgsEntity> selectDataMappingArgsEntityList(DataMappingArgsEntity dataMappingArgsEntity)
    {
        return dataMappingArgsEntityMapper.selectDataMappingArgsEntityList(dataMappingArgsEntity);
    }

    /**
     * 新增配置执行类参数信息
     * 
     * @param dataMappingArgsEntity 配置执行类参数信息
     * @return 结果
     */
    @Override
    public int insertDataMappingArgsEntity(DataMappingArgsEntity dataMappingArgsEntity)
    {
        dataMappingArgsEntity.setCreateTime(DateUtils.getNowDate());
        return dataMappingArgsEntityMapper.insertDataMappingArgsEntity(dataMappingArgsEntity);
    }

    /**
     * 修改配置执行类参数信息
     * 
     * @param dataMappingArgsEntity 配置执行类参数信息
     * @return 结果
     */
    @Override
    public int updateDataMappingArgsEntity(DataMappingArgsEntity dataMappingArgsEntity)
    {
        dataMappingArgsEntity.setUpdateTime(DateUtils.getNowDate());
        return dataMappingArgsEntityMapper.updateDataMappingArgsEntity(dataMappingArgsEntity);
    }

    /**
     * 批量删除配置执行类参数信息
     * 
     * @param ids 需要删除的配置执行类参数信息主键
     * @return 结果
     */
    @Override
    public int deleteDataMappingArgsEntityByIds(Integer[] ids)
    {
        return dataMappingArgsEntityMapper.deleteDataMappingArgsEntityByIds(ids);
    }

    /**
     * 删除配置执行类参数信息信息
     * 
     * @param id 配置执行类参数信息主键
     * @return 结果
     */
    @Override
    public int deleteDataMappingArgsEntityById(Integer id)
    {
        return dataMappingArgsEntityMapper.deleteDataMappingArgsEntityById(id);
    }
}
