package com.czsj.dataCenter.service.impl;

import java.util.List;
import com.czsj.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.czsj.dataCenter.mapper.DataTaskCoreEntityMapper;
import com.czsj.dataCenter.domain.DataTaskCoreEntity;
import com.czsj.dataCenter.service.IDataTaskCoreEntityService;

/**
 * 任务CORE块配置信息Service业务层处理
 * 
 * @author czsj
 * @date 2024-12-08
 */
@Service
public class DataTaskCoreEntityServiceImpl implements IDataTaskCoreEntityService 
{
    @Autowired
    private DataTaskCoreEntityMapper dataTaskCoreEntityMapper;

    /**
     * 查询任务CORE块配置信息
     * 
     * @param id 任务CORE块配置信息主键
     * @return 任务CORE块配置信息
     */
    @Override
    public DataTaskCoreEntity selectDataTaskCoreEntityById(Integer id)
    {
        return dataTaskCoreEntityMapper.selectDataTaskCoreEntityById(id);
    }

    /**
     * 查询任务CORE块配置信息列表
     * 
     * @param dataTaskCoreEntity 任务CORE块配置信息
     * @return 任务CORE块配置信息
     */
    @Override
    public List<DataTaskCoreEntity> selectDataTaskCoreEntityList(DataTaskCoreEntity dataTaskCoreEntity)
    {
        return dataTaskCoreEntityMapper.selectDataTaskCoreEntityList(dataTaskCoreEntity);
    }

    /**
     * 新增任务CORE块配置信息
     * 
     * @param dataTaskCoreEntity 任务CORE块配置信息
     * @return 结果
     */
    @Override
    public int insertDataTaskCoreEntity(DataTaskCoreEntity dataTaskCoreEntity)
    {
        dataTaskCoreEntity.setCreateTime(DateUtils.getNowDate());
        return dataTaskCoreEntityMapper.insertDataTaskCoreEntity(dataTaskCoreEntity);
    }

    /**
     * 修改任务CORE块配置信息
     * 
     * @param dataTaskCoreEntity 任务CORE块配置信息
     * @return 结果
     */
    @Override
    public int updateDataTaskCoreEntity(DataTaskCoreEntity dataTaskCoreEntity)
    {
        dataTaskCoreEntity.setUpdateTime(DateUtils.getNowDate());
        return dataTaskCoreEntityMapper.updateDataTaskCoreEntity(dataTaskCoreEntity);
    }

    /**
     * 批量删除任务CORE块配置信息
     * 
     * @param ids 需要删除的任务CORE块配置信息主键
     * @return 结果
     */
    @Override
    public int deleteDataTaskCoreEntityByIds(Integer[] ids)
    {
        return dataTaskCoreEntityMapper.deleteDataTaskCoreEntityByIds(ids);
    }

    /**
     * 删除任务CORE块配置信息信息
     * 
     * @param id 任务CORE块配置信息主键
     * @return 结果
     */
    @Override
    public int deleteDataTaskCoreEntityById(Integer id)
    {
        return dataTaskCoreEntityMapper.deleteDataTaskCoreEntityById(id);
    }
}
